Skip to main content
POST
/
v2
/
organizations
/
{orgId}
/
teams
/
{teamId}
/
event-types
/
{eventTypeId}
/
create-phone-call
Create a phone call
curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-types/{eventTypeId}/create-phone-call \
  --header 'Content-Type: application/json' \
  --data '
{
  "yourPhoneNumber": "<string>",
  "numberToCall": "<string>",
  "calApiKey": "<string>",
  "enabled": true,
  "templateType": "CUSTOM_TEMPLATE",
  "schedulerName": "<string>",
  "guestName": "<string>",
  "guestEmail": "<string>",
  "guestCompany": "<string>",
  "beginMessage": "<string>",
  "generalPrompt": "<string>"
}
'
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-types/{eventTypeId}/create-phone-call"

payload = {
"yourPhoneNumber": "<string>",
"numberToCall": "<string>",
"calApiKey": "<string>",
"enabled": True,
"templateType": "CUSTOM_TEMPLATE",
"schedulerName": "<string>",
"guestName": "<string>",
"guestEmail": "<string>",
"guestCompany": "<string>",
"beginMessage": "<string>",
"generalPrompt": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
yourPhoneNumber: '<string>',
numberToCall: '<string>',
calApiKey: '<string>',
enabled: true,
templateType: 'CUSTOM_TEMPLATE',
schedulerName: '<string>',
guestName: '<string>',
guestEmail: '<string>',
guestCompany: '<string>',
beginMessage: '<string>',
generalPrompt: '<string>'
})
};

fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-types/{eventTypeId}/create-phone-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "callId": "<string>",
    "agentId": "<string>"
  }
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

teamId
number
required
eventTypeId
number
required
orgId
number
required

Body

application/json
yourPhoneNumber
string
required

Your phone number

Pattern: /^\+[1-9]\d{1,14}$/
numberToCall
string
required

Number to call

Pattern: /^\+[1-9]\d{1,14}$/
calApiKey
string
required

CAL API Key

enabled
boolean
default:true
required

Enabled status

templateType
enum<string>
default:CUSTOM_TEMPLATE
required

Template type

Available options:
CHECK_IN_APPOINTMENT,
CUSTOM_TEMPLATE
schedulerName
string

Scheduler name

guestName
string

Guest name

guestEmail
string

Guest email

guestCompany
string

Guest company

beginMessage
string

Begin message

generalPrompt
string

General prompt

Response

201 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required